bind {raster} | R Documentation

## Bind Spatial* objects

### Description

Bind (append) Spatial* objects into a single object. All objects must be of the same vector type base class (SpatialPoints, SpatialLines, or SpatialPolygons)

### Usage

    ## S4 method for signature 'SpatialPolygons,SpatialPolygons'
    bind(x, y, ..., keepnames=FALSE)

    ## S4 method for signature 'SpatialLines,SpatialLines'
    bind(x, y, ..., keepnames=FALSE)

    ## S4 method for signature 'SpatialPoints,SpatialPoints'
    bind(x, y, ..., keepnames=FALSE)

    ## S4 method for signature 'data.frame,data.frame'
    bind(x, y, ..., variables=NULL)

### Arguments

`x` | Spatial* object or data.frame
`y` | Spatial* object or data.frame
`...` | Additional Spatial* objects
`keepnames` | Logical. If `TRUE` the row.names are kept (if unique)
`variables` | character. Variable (column) names to keep, If `NULL`, all variables are kept

### Value

Spatial* object

### See Also

`merge`

### Examples

    if (require(rgdal) & require(rgeos)) {
    	p <- shapefile(system.file("external/lux.shp", package="raster"))
    	mersch <- p[p$NAME_2=='Mersch', ]
    	diekirch <- p[p$NAME_2=='Diekirch', ]
    	remich <- p[p$NAME_2=='Remich', ]
    	remich$NAME_1 <- NULL
    	x <- bind(mersch, diekirch, remich)
    	plot(x)
    	data.frame(x)
    }

[Package raster version 2.5-2 Index]